#include "Simpson.h"

#include <stdio.h>

/*! \file Simpson.cpp */

/*! Constructor method */
Simpson::Simpson() {}

/*! Destructor method */
Simpson::~Simpson() {}

/*! \brief Returns the name of the person who voices a Simpson's character

	\bug Voice of Maggie Simpson may be voiced by different people in different episodes.

	\param simpson The Simpsons character.
	\param directoryStyle Get the name in directory style, e.g. Kavner, Julie
	\returns The name of the person who voiced The Simpsons character.
*/
const char*
Simpson::voicedBy(enum simpson simpson, bool directoryStyle = false)
{
	if (directoryStyle) {
		switch (simpson) {
			case HOMER:
				return "Castellaneta, Dan";
			case MARGE:
				return "Kavner, Julie";
			case BART:
				return "Cartwright, Nancy";
			case LISA:
				return "Smith, Yeardley";
			case MAGGIE:
				return "*suck*, *suck*";
		}
	} else {
		switch (simpson) {
			case HOMER:
				return "Dan Castellaneta";
			case MARGE:
				return "Julie Kavner";
			case BART:
				return "Nancy Cartwright";
			case LISA:
				return "Yeardley Smith";
			case MAGGIE:
				return "*suck* *suck*";
		}
	}

	return "";
}

/*! \brief main() function */
int
main(void)
{
	Simpson* s = new Simpson();
	printf("Homer is voiced by: %s\n", s->voicedBy(HOMER));

	return 0;
}